unliftio-0.2.25.1: The MonadUnliftIO typeclass for unlifting monads to IO (batteries included)

Safe Haskell | Safe-Inferred
Language | Haskell2010

UnliftIO.Timeout

Description

Unlifted System.Timeout.

Since: 0.1.0.0

Synopsis

- timeout :: MonadUnliftIO m => Int -> m a -> m (Maybe a)

# Documentation

timeout :: MonadUnliftIO m => Int -> m a -> m (Maybe a) Source #

Unlifted `timeout`.

Since: 0.1.0.0